Bug 1019884 - Console error message when using wrong IP address of RHEV-M to collect certificate
Console error message when using wrong IP address of RHEV-M to collect certif...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-plugin-vdsm (Show other bugs)
3.3.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Douglas Schilling Landgraf
Jiri Belka
infra
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 10:56 EDT by Douglas Schilling Landgraf
Modified: 2016-02-10 14:08 EST (History)
7 users (show)

See Also:
Fixed In Version: 0.1.1-10.el6ev
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20312 None None None Never

  None (edit)
Description Douglas Schilling Landgraf 2013-10-16 10:56:00 EDT
Description of problem:

If users use a wrong RHEV-M address to collect the certificate it will drop to an console error message.

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20131011.0.iso

How reproducible:

- Setup Network
- On oVirt Engine sub tab put the RHEV-M address and select 'Retrieve Certificate'.
Comment 1 Jiri Belka 2013-10-30 06:41:40 EDT
After "Can't connect to oVirt Engine" (which is companied with lines: 'oVirt Engine Fingerprint' and 'TBD', hehe) I did click on 'Close' button and got out of TUI and was switched to console with error message which forced me to logout (better one) or to enter shell (huh, now admin has full access to filesystem!).

version: Red Hat Enterprise Virtualization Hypervisor release 6.5 (20131011.0.el6)
Comment 2 Douglas Schilling Landgraf 2013-11-01 11:36:36 EDT
Hi Jiri,

(In reply to Jiri Belka from comment #1)
> After "Can't connect to oVirt Engine" (which is companied with lines: 'oVirt
> Engine Fingerprint' and 'TBD', hehe) I did click on 'Close' button and got
> out of TUI and was switched to console with error message which forced me to
> logout (better one) or to enter shell (huh, now admin has full access to
> filesystem!).
> 
> version: Red Hat Enterprise Virtualization Hypervisor release 6.5
> (20131011.0.el6)

This version contains ovirt-node-plugin-vdsm-0.1.1-7.el6ev.noarch which doesn't contain the fix.

ovirt-node-plugin-vdsm-0.1.1-8.el6ev provides the fix.
https://brewweb.devel.redhat.com/buildinfo?buildID=301581

Additionaly the "TBD fingerprint" message is fixed under ovirt-node-plugin-vdsm-0.1.1-9.el6ev.
https://brewweb.devel.redhat.com/buildinfo?buildID=302035

Moving back to ON_QA.

Thanks
Douglas
Comment 3 Jiri Belka 2013-11-04 08:46:53 EST
is21 - not fully ok.

1) it should not tell me to review fingerprint if it cannot get it :) (what about - s/fingerprint/SSL finterprint/ ???)

-%-
oVirt Engine Fingerprint

Please review he following fingerprint from Engine:

Can't connect o oVirt Engine.
-%-

2) i'm again in console -> LOGOUT or 's' to shell

# cat /etc/rhev-hypervisor-release 
Red Hat Enterprise Virtualization Hypervisor release 6.5 (20131029.0.el6)
# rpm -qa | grep ovirt
ovirt-node-3.0.1-6.el6.noarch
ovirt-host-deploy-offline-1.1.1-1.el6ev.noarch
ovirt-node-plugin-cim-3.0.1-6.el6.noarch
ovirt-node-plugin-rhn-3.0.1-6.el6.noarch
ovirt-node-plugin-snmp-3.0.1-6.el6.noarch
ovirt-node-plugin-vdsm-0.1.1-9.el6ev.noarch
Comment 4 Douglas Schilling Landgraf 2013-11-06 16:09:05 EST
ovirt-node-plugin-vdsm-0.1.1-10.el6ev
https://brewweb.devel.redhat.com/buildinfo?buildID=306464
Comment 5 Jiri Belka 2013-11-13 04:53:59 EST
ok, ovirt-node-plugin-vdsm-0.1.1-10.el6ev
Comment 6 Itamar Heim 2014-01-21 17:20:34 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:26:13 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.